/*******************************************************************************
 * JMMC project
 * 
 * "@(#) $Id: amdlibMisc.c,v 1.4 2011/01/24 12:43:46 agabasch Exp $"
 *
 * History
 * -------
 * $Log: amdlibMisc.c,v $
 * Revision 1.4  2011/01/24 12:43:46  agabasch
 * rollback to amber version before amdlib 3.0
 *
 * Revision 1.2  2008/11/10 08:38:13  agabasch
 * amdlib version 2.0 -> amdlib version 2.2
 *
 * Revision 1.2  2007/08/09 04:49:48  gluck
 * Added code comments
 *
 * Revision 1.1  2007/08/08 15:08:26  gluck
 * Created
 *
 ******************************************************************************/

/**
 * @file
 * Miscellaneous useful functions.
 * 
 * This file contains functions:
 * - to handle program (main)
 */

static char *rcsId __attribute__ ((unused)) = "@(#) $Id: amdlibMisc.c,v 1.4 2011/01/24 12:43:46 agabasch Exp $"; 


/* 
 * System Headers
 */
#include <stdio.h>
#include <string.h>

/* 
 * Local Headers
 */
#include "amdlib.h"
#include "amdlibProtected.h"


/* 
 * Protected functions definition
 */

/**
 * Get the program name.
 *
 * Get the program name without its path, if argv0 was containing it.
 *
 * @param argv0 name of the program
 *
 * @return pointer on the program name.
 */
const char * amdlibGetProgramName(char * argv0)
{
    const char *endPath;
    const char *programName;
    
    /* Find if a path exists in front of program name */
    endPath = strrchr(argv0, '/');
    if (endPath != (char *)NULL)
    {
        /* A path exists: only retrieve program name which is 
         * after the last slash caracter 
         */
        programName = endPath + 1;
    }
    else
    {
        /* No path in front of program name */
        programName = argv0;
    }

    return programName;
}




/*___oOo___*/
